size_equal_only.hpp File Reference
`#include "msgpack/v1/adaptor/size_equal_only_decl.hpp"`

Go to the source code of this file.

## Classes

struct | msgpack::type::size_equal_only< T >
struct | msgpack::adaptor::convert< type::size_equal_only< T > >
struct | msgpack::adaptor::pack< type::size_equal_only< T > >
struct | msgpack::adaptor::object< type::size_equal_only< T > >
struct | msgpack::adaptor::object_with_zone< type::size_equal_only< T > >

## Namespaces

| msgpack
| msgpack::type
| msgpack::adaptor

## Functions

template<typename T >
std::size_t | msgpack::type::size (T const &t)
template<typename T , std::size_t N>
std::size_t | msgpack::type::size (const T(&)[N])
template<typename... T>
std::size_t | msgpack::type::size (std::tuple< T... > const &)
template<typename T >
size_equal_only< T > | msgpack::type::make_size_equal_only (T &t)
template<typename T >
bool | msgpack::type::operator< (size_equal_only< T > const &lhs, size_equal_only< T > const &rhs)
template<typename T >
bool | msgpack::type::operator== (size_equal_only< T > const &lhs, size_equal_only< T > const &rhs)